aboutsummaryrefslogtreecommitdiffstats
path: root/tools/test-captures.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/test-captures.sh')
-rwxr-xr-xtools/test-captures.sh19
1 files changed, 8 insertions, 11 deletions
diff --git a/tools/test-captures.sh b/tools/test-captures.sh
index 0537e88a48..ab4ee2e910 100755
--- a/tools/test-captures.sh
+++ b/tools/test-captures.sh
@@ -55,17 +55,14 @@ do
if $BIN_DIR/tshark -nr $file > /dev/null
then
echo "OK"
- # We may not be ready to looking for all these bugs yet...
- #echo -n " - without tree but with a read filter... "
- #export WIRESHARK_ABORT_ON_DISSECTOR_BUG=
- #if $BIN_DIR/tshark -Yframe -nr $file > /dev/null
- #then
- # echo "OK"
- #else
- # echo "Failed"
- # exit 1
- #fi
- #unset WIRESHARK_ABORT_ON_DISSECTOR_BUG
+ echo -n " - without tree but with a read filter... "
+ if $BIN_DIR/tshark -Yframe -nr $file > /dev/null
+ then
+ echo "OK"
+ else
+ echo "Failed"
+ exit 1
+ fi
else
echo "Failed"
exit 1